KLA11942
Multiple vulnerabilities in Mozilla Firefox
Обновлено: 02/09/2020
Дата обнаружения
25/08/2020
Уровень угрозы
Warning
Описание

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to obtain sensitive information, bypass security restrictions, cause denial of service, execute arbitrary code, gain privileges, spoof user interface.

Below is a complete list of vulnerabilities:

  1. MediaError Message vulnerability can be exploited to security bypass restrictions and obtain sensitive information.
  2. Data Race vulnerability can be exploited to security bypass restrictions and cause denial of service.
  3. Converting coordinates vulnerability can be exploited to bypass security restrictions.
  4. Elevation of privilege vulnerability on Windows can be exploited to bypass security restrictions, gain privileges and execute arbitrary code.
  5. Security UI vulnerability in address bar can be exploited to perform domain spoofing.
  6. Security UI vulnerability in eval() function can be exploited to spoof user interface and execute arbitrary code.
  7. ECDSA signature generation vulnerability can be exploited to security bypass restrictions.
  8. Memory safety vulnerabilities can be exploited to execute arbitrary code.
  9. EC scalar point multiplication vulnerability can be exploited to obtain sensitive information.
  10. Heap overflow vulnerability can be exploited to potentially cause denial of service and execute arbitrary code.
Пораженные продукты

Mozilla Firefox earlier than 80

Решение

Update to the latest version
Download Firefox

Первичный источник обнаружения
MFSA2020-36
Оказываемое влияние
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]

PE 
[?]

SUI 
[?]
Связанные продукты
Mozilla Firefox
CVE-IDS
CVE-2020-156660.0Unknown
CVE-2020-156680.0Unknown
CVE-2020-124000.0Unknown
CVE-2020-156630.0Unknown
CVE-2020-156650.0Unknown
CVE-2020-156640.0Unknown
CVE-2020-124010.0Unknown
CVE-2020-156700.0Unknown
CVE-2020-68290.0Unknown
CVE-2020-156670.0Unknown